<?php namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Auth\Authenticatable;


class Mesure extends Model {
	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'mesures';


	
	public function getNomRucheAttribute() {
		$capteur=Capteur::find($this->id_capteur);
		if(!$capteur) return "";
		$ruche=Ruche::find($capteur->id_ruche);
		if(!$ruche) return "";
		return $ruche->nom;
	}

	public function getNomCapteurAttribute() {
		$capteur=Capteur::find($this->id_capteur);
		if(!$capteur) return "";
		return $capteur->nom;
	}

	public function getNomTypeMesureAttribute() {
		$capteur=Capteur::find($this->id_capteur);
		if(!$capteur) return "";
		$type_capteur=TypeCapteur::find($capteur->id_type_capteur);
		return $type_capteur->nom;
	}

	public function getUniteAttribute() {
		$capteur=Capteur::find($this->id_capteur);
		if(!$capteur) return "";
		$type_capteur=TypeCapteur::find($capteur->id_type_capteur);
		return $type_capteur->unite;
	}
}